package cn.iocoder.yudao.module.system.service.evaluation;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.FoodSatisfactionSurveyPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.FoodSatisfactionSurveyRespVO;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.FoodSatisfactionSurveySaveReqVO;

/**
 * 膳食满意度调查 Service
 */
public interface FoodSatisfactionSurveyService {

    Long create(FoodSatisfactionSurveySaveReqVO createReqVO);

    void update(FoodSatisfactionSurveySaveReqVO updateReqVO);

    void delete(Long id);

    FoodSatisfactionSurveyRespVO get(Long id);

    PageResult<FoodSatisfactionSurveyRespVO> getPage(FoodSatisfactionSurveyPageReqVO pageReqVO);
}
